> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerzero.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list

> Get list of available OFTs with their deployments across chains



## OpenAPI

````yaml /openapi/oft-mainnet.json get /list
openapi: 3.0.3
info:
  title: LayerZero OFT Transfer API
  version: 1.0.0
  description: API for LayerZero Omnichain Fungible Tokens (OFTs)
servers:
  - url: https://metadata.layerzero-api.com/v1/metadata/experiment/ofts
security: []
paths:
  /list:
    get:
      tags:
        - ofts
      description: Get list of available OFTs with their deployments across chains
      parameters:
        - in: query
          name: chainNames
          description: Comma-separated list of chain names to filter by
          schema:
            type: string
            description: Comma-separated list of chain names to filter by
            example: ethereum,arbitrum,optimism,base
        - in: query
          name: symbols
          description: Comma-separated list of token symbols to filter by
          schema:
            type: string
            description: Comma-separated list of token symbols to filter by
            example: ZRO,USDT0,XAUT0,WBTC
        - in: query
          name: protocols
          description: Comma-separated list of protocol names to filter by
          schema:
            type: string
            description: Comma-separated list of protocol names to filter by
            example: wBTC,ZRO Token,USDT0
        - in: query
          name: contractAddresses
          description: Comma-separated list of contract addresses to filter by
          schema:
            type: string
            description: Comma-separated list of contract addresses to filter by
            example: >-
              0x6985884c4392d348587b19cb9eaaf157f13271cd,0x6c96de32cea08842dcc4058c14d3aaad7fa41dee
      responses:
        '200':
          description: Successfully retrieved OFT list
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      sharedDecimals:
                        type: number
                      endpointVersion:
                        type: string
                        enum:
                          - v1
                          - v2
                      deployments:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            address:
                              type: string
                            localDecimals:
                              type: number
                            type:
                              type: string
                              enum:
                                - OFT
                                - OFT_ADAPTER
                                - NATIVE_OFT_ADAPTER
                            innerToken:
                              type: string
                            approvalRequired:
                              type: boolean
                            details:
                              type: object
                              additionalProperties: {}
                          required:
                            - address
                            - localDecimals
                            - type
                    required:
                      - name
                      - sharedDecimals
                      - endpointVersion
                      - deployments
                description: Record of token symbols to their OFT configurations
                example:
                  ZRO:
                    - name: ZRO Token
                      sharedDecimals: 6
                      endpointVersion: v2
                      deployments:
                        ethereum:
                          address: '0x6985884c4392d348587b19cb9eaaf157f13271cd'
                          localDecimals: 18
                          type: OFT
                        arbitrum:
                          address: '0x6985884c4392d348587b19cb9eaaf157f13271cd'
                          localDecimals: 18
                          type: OFT
                        optimism:
                          address: '0x6985884c4392d348587b19cb9eaaf157f13271cd'
                          localDecimals: 18
                          type: OFT
                        base:
                          address: '0x6985884c4392d348587b19cb9eaaf157f13271cd'
                          localDecimals: 18
                          type: OFT

````